"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.commandHandler = exports.builder = exports.desc = exports.command = void 0;
const ern_core_1 = require("ern-core");
const ern_cauldron_api_1 = require("ern-cauldron-api");
const lib_1 = require("../../../lib");
exports.command = 'file <cauldronFilePath>';
exports.desc = 'Remove a file from the Cauldron';
const builder = (argv) => argv.epilog((0, lib_1.epilog)(exports));
exports.builder = builder;
const commandHandler = async ({ cauldronFilePath, }) => {
    const cauldron = await (0, ern_cauldron_api_1.getActiveCauldron)();
    await cauldron.removeFile({ cauldronFilePath });
    ern_core_1.log.info(`${cauldronFilePath} file successfully removed from the Cauldron`);
};
exports.commandHandler = commandHandler;
exports.handler = (0, lib_1.tryCatchWrap)(exports.commandHandler);
//# sourceMappingURL=file.js.map