"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.commandHandler = exports.builder = exports.desc = exports.command = void 0;
const ern_cauldron_api_1 = require("ern-cauldron-api");
const ern_core_1 = require("ern-core");
const lib_1 = require("../../../lib");
exports.command = 'current';
exports.desc = 'Display the currently activated Cauldron repository';
const builder = (argv) => {
    return argv.epilog((0, lib_1.epilog)(exports));
};
exports.builder = builder;
const commandHandler = async () => {
    const current = ern_cauldron_api_1.cauldronRepositories.current;
    if (!current) {
        throw new Error(`No Cauldron repository is in use yet`);
    }
    ern_core_1.log.info(`${current.alias} [${current.url}]`);
};
exports.commandHandler = commandHandler;
exports.handler = (0, lib_1.tryCatchWrap)(exports.commandHandler);
//# sourceMappingURL=current.js.map