"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.commandHandler = exports.builder = exports.desc = exports.command = void 0;
const ern_cauldron_api_1 = require("ern-cauldron-api");
const ern_core_1 = require("ern-core");
const lib_1 = require("../../../lib");
exports.command = 'list';
exports.desc = 'List all Cauldron repositories';
const builder = (argv) => {
    return argv.epilog((0, lib_1.epilog)(exports));
};
exports.builder = builder;
const commandHandler = async () => {
    const repositories = ern_cauldron_api_1.cauldronRepositories.list();
    if (!repositories) {
        throw new Error('No Cauldron repositories have been added yet');
    }
    ern_core_1.log.info('[Cauldron Repositories]');
    repositories.forEach((repo) => ern_core_1.log.info(`${repo.alias} -> ${repo.url}`));
};
exports.commandHandler = commandHandler;
exports.handler = (0, lib_1.tryCatchWrap)(exports.commandHandler);
//# sourceMappingURL=list.js.map