"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.commandHandler = exports.builder = exports.desc = exports.command = void 0;
const ern_cauldron_api_1 = require("ern-cauldron-api");
const ern_core_1 = require("ern-core");
const lib_1 = require("../../../lib");
exports.command = 'remove <alias>';
exports.desc = 'Remove a cauldron repository given its alias';
const builder = (argv) => {
    return argv.epilog((0, lib_1.epilog)(exports));
};
exports.builder = builder;
const commandHandler = async ({ alias }) => {
    ern_cauldron_api_1.cauldronRepositories.remove({ alias });
    ern_core_1.log.info(`Removed Cauldron repository exists with alias ${alias}`);
};
exports.commandHandler = commandHandler;
exports.handler = (0, lib_1.tryCatchWrap)(exports.commandHandler);
//# sourceMappingURL=remove.js.map