"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.commandHandler = exports.builder = exports.desc = exports.command = void 0;
const ern_core_1 = require("ern-core");
const ern_cauldron_api_1 = require("ern-cauldron-api");
const lib_1 = require("../../../lib");
const fs_extra_1 = __importDefault(require("fs-extra"));
const untildify_1 = __importDefault(require("untildify"));
exports.command = 'file <localFilePath> <cauldronFilePath>';
exports.desc = 'Update a file in the Cauldron';
const builder = (argv) => argv.coerce('localFilePath', (p) => (0, untildify_1.default)(p)).epilog((0, lib_1.epilog)(exports));
exports.builder = builder;
const commandHandler = async ({ cauldronFilePath, localFilePath, }) => {
    if (await fs_extra_1.default.pathExists(localFilePath)) {
        throw new Error(`File ${localFilePath} does not exist`);
    }
    const cauldron = await (0, ern_cauldron_api_1.getActiveCauldron)();
    await cauldron.updateFile({
        cauldronFilePath,
        localFilePath,
    });
    ern_core_1.log.info(`${cauldronFilePath} file successfully updated`);
};
exports.commandHandler = commandHandler;
exports.handler = (0, lib_1.tryCatchWrap)(exports.commandHandler);
//# sourceMappingURL=file.js.map