import { AppVersionDescriptor } from 'ern-core';
import { Argv } from 'yargs';
export declare const command = "promote";
export declare const desc = "Promote a CodePush release to a different deployment environment";
export declare const builder: (argv: Argv) => Argv<import("yargs").Omit<import("yargs").Omit<{
    description: string | undefined;
} & {
    disableDuplicateReleaseError: boolean;
} & {
    force: boolean | undefined;
} & {
    label: string | undefined;
} & {
    mandatory: boolean;
} & {
    reuseReleaseBinaryVersion: boolean | undefined;
} & {
    rollout: number;
} & {
    skipConfirmation: boolean | undefined;
} & {
    skipNativeDependenciesVersionAlignedCheck: boolean | undefined;
} & {
    sourceDeploymentName: string | undefined;
} & {
    sourceDescriptor: string | undefined;
}, "sourceDescriptor"> & {
    sourceDescriptor: AppVersionDescriptor | undefined;
} & {
    targetBinaryVersion: string | undefined;
} & {
    targetDeploymentName: string | undefined;
} & {
    targetDescriptors: (string | number)[] | undefined;
}, "targetDescriptors"> & {
    targetDescriptors: any;
} & {
    targetSemVerDescriptor: unknown;
}>;
export declare const commandHandler: ({ description, disableDuplicateReleaseError, force, label, mandatory, reuseReleaseBinaryVersion, sourceDeploymentName, targetBinaryVersion, targetDeploymentName, sourceDescriptor, targetDescriptors, targetSemVerDescriptor, rollout, skipConfirmation, skipNativeDependenciesVersionAlignedCheck, }: {
    description?: string | undefined;
    disableDuplicateReleaseError?: boolean | undefined;
    force?: boolean | undefined;
    label?: string | undefined;
    mandatory?: boolean | undefined;
    reuseReleaseBinaryVersion?: boolean | undefined;
    sourceDeploymentName?: string | undefined;
    targetBinaryVersion?: string | undefined;
    targetDeploymentName?: string | undefined;
    sourceDescriptor?: AppVersionDescriptor | undefined;
    targetDescriptors?: AppVersionDescriptor[] | undefined;
    targetSemVerDescriptor?: string | undefined;
    rollout?: number | undefined;
    skipConfirmation?: boolean | undefined;
    skipNativeDependenciesVersionAlignedCheck?: boolean | undefined;
}) => Promise<void>;
export declare const handler: (args: any) => Promise<void>;
