"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.commandHandler = exports.builder = exports.desc = exports.command = void 0;
const lib_1 = require("../../../lib");
const ern_core_1 = require("ern-core");
exports.command = 'get <key>';
exports.desc = 'Echo the config value to stdout';
const builder = (argv) => {
    return argv.epilog((0, lib_1.epilog)(exports));
};
exports.builder = builder;
const commandHandler = async ({ key }) => {
    await (0, lib_1.logErrorAndExitIfNotSatisfied)({
        isValidPlatformConfig: {
            key,
        },
    });
    if (ern_core_1.config.get(key)) {
        ern_core_1.log.info(`Configuration value for ${key} is ${ern_core_1.config.get(key)}`);
    }
    else {
        ern_core_1.log.warn(`${key} was not found in config`);
    }
};
exports.commandHandler = commandHandler;
exports.handler = (0, lib_1.tryCatchWrap)(exports.commandHandler);
//# sourceMappingURL=get.js.map