"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.commandHandler = exports.builder = exports.desc = exports.command = void 0;
const ern_core_1 = require("ern-core");
const lib_1 = require("../../../lib");
exports.command = 'set <key> <value>';
exports.desc = 'Sets the key to the value in the configuration file';
const builder = (argv) => {
    return argv.epilog((0, lib_1.platformSupportedConfigAsString)() + (0, lib_1.epilog)(exports));
};
exports.builder = builder;
const commandHandler = async ({ key, value, }) => {
    await (0, lib_1.logErrorAndExitIfNotSatisfied)({
        isValidPlatformConfig: {
            key,
        },
    });
    let valueToset = value;
    if (!isNaN(+value)) {
        valueToset = +value;
    }
    else {
        try {
            valueToset = JSON.parse(valueToset);
        }
        catch (e) {
            // swallow
        }
    }
    ern_core_1.config.set(key, valueToset);
    ern_core_1.log.info(`Successfully set ${key} value to ${ern_core_1.config.get(key)}`);
};
exports.commandHandler = commandHandler;
exports.handler = (0, lib_1.tryCatchWrap)(exports.commandHandler);
//# sourceMappingURL=set.js.map