"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.askUserForCodePushDeploymentName = void 0;
const ern_cauldron_api_1 = require("ern-cauldron-api");
const inquirer_1 = __importDefault(require("inquirer"));
async function askUserForCodePushDeploymentName(napDescriptor, message) {
    const cauldron = await (0, ern_cauldron_api_1.getActiveCauldron)();
    const conf = await cauldron.getCodePushConfig(napDescriptor);
    const hasCodePushDeploymentsConfig = conf === null || conf === void 0 ? void 0 : conf.deployments;
    const choices = hasCodePushDeploymentsConfig ? conf === null || conf === void 0 ? void 0 : conf.deployments : undefined;
    const { userSelectedDeploymentName } = await inquirer_1.default.prompt([
        {
            choices,
            message: message || 'Deployment name',
            name: 'userSelectedDeploymentName',
            type: choices ? 'list' : 'input',
        },
    ]);
    return userSelectedDeploymentName;
}
exports.askUserForCodePushDeploymentName = askUserForCodePushDeploymentName;
//# sourceMappingURL=askUserForCodePushDeploymentName.js.map