"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.epilog = void 0;
const ern_core_1 = require("ern-core");
const lodash_1 = __importDefault(require("lodash"));
const chalk_1 = __importDefault(require("chalk"));
const semver_1 = __importDefault(require("semver"));
function epilog({ command }) {
    const version = `v${semver_1.default.major(ern_core_1.Platform.currentVersion)}.${semver_1.default.minor(ern_core_1.Platform.currentVersion)}`;
    const rootUrl = ern_core_1.Platform.currentVersion === '1000.0.0'
        ? `https://native.electrode.io/cli-commands`
        : `https://native.electrode.io/v/${version}/cli-commands`;
    const commandWithoutOptions = command.split(' ')[0];
    const idx = lodash_1.default.indexOf(process.argv, commandWithoutOptions);
    let commandPath = lodash_1.default.slice(process.argv, 2, idx).join('-');
    commandPath = commandPath ? `/${commandPath}` : '';
    return `More info about this command @ ${chalk_1.default.bold(`${rootUrl}${commandPath}/${commandWithoutOptions}.html`)}`;
}
exports.epilog = epilog;
//# sourceMappingURL=epilog.js.map