/// <reference types="node" />
import { AnyAppDescriptor, AppVersionDescriptor, PackagePath } from 'ern-core';
import fs from 'fs';
export declare function logErrorAndExitIfNotSatisfied({ noGitOrFilesystemPath, noFileSystemPath, isNewerContainerVersion, napDescriptorExistInCauldron, sameNativeApplicationAndPlatform, napDescritorDoesNotExistsInCauldron, publishedToNpm, miniAppNotInNativeApplicationVersionContainer, miniAppIsInNativeApplicationVersionContainer, miniAppIsInNativeApplicationVersionContainerWithDifferentVersion, dependencyNotInNativeApplicationVersionContainer, dependencyIsOrphaned, dependencyIsInNativeApplicationVersionContainer, dependencyIsInNativeApplicationVersionContainerWithDifferentVersion, dependencyNotInUseByAMiniApp, cauldronIsActive, isValidNpmPackageName, isValidElectrodeNativeModuleName, checkIfCodePushOptionsAreValid, isFilePath, isDirectoryPath, pathExist, isValidPlatformConfig, isSupportedMiniAppOrJsApiImplVersion, isContainerPath, isEnvVariableDefined, manifestIdExists, bundleStoreUrlSetInCauldron, bundleStoreAccessKeyIsSet, metroServerIsNotRunning, }?: {
    noGitOrFilesystemPath?: {
        obj: string | PackagePath | (string | PackagePath)[] | void;
        extraErrorMessage?: string;
    };
    noFileSystemPath?: {
        obj: string | string[];
        extraErrorMessage?: string;
    };
    isNewerContainerVersion?: {
        descriptor: string | AppVersionDescriptor;
        containerVersion: string;
        extraErrorMessage?: string;
    };
    napDescriptorExistInCauldron?: {
        descriptor: string | AnyAppDescriptor | (string | AnyAppDescriptor)[];
        extraErrorMessage?: string;
    };
    sameNativeApplicationAndPlatform?: {
        descriptors: (string | AppVersionDescriptor)[];
        extraErrorMessage?: string;
    };
    napDescritorDoesNotExistsInCauldron?: {
        descriptor: string | AnyAppDescriptor;
        extraErrorMessage?: string;
    };
    publishedToNpm?: {
        obj: string | PackagePath[] | (string | PackagePath)[];
        extraErrorMessage?: string;
    };
    miniAppNotInNativeApplicationVersionContainer?: {
        miniApp: string | PackagePath | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    miniAppIsInNativeApplicationVersionContainer?: {
        miniApp: string | PackagePath[] | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    miniAppIsInNativeApplicationVersionContainerWithDifferentVersion?: {
        miniApp: string | PackagePath[] | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    dependencyNotInNativeApplicationVersionContainer?: {
        dependency: string | PackagePath[] | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    dependencyIsOrphaned?: {
        dependency: string | PackagePath[] | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    dependencyIsInNativeApplicationVersionContainer?: {
        dependency: string | PackagePath[] | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    dependencyIsInNativeApplicationVersionContainerWithDifferentVersion?: {
        dependency: string | PackagePath[] | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    dependencyNotInUseByAMiniApp?: {
        dependency: string | PackagePath | (string | PackagePath)[] | void;
        descriptor: AppVersionDescriptor;
        extraErrorMessage?: string;
    };
    cauldronIsActive?: {
        extraErrorMessage?: string;
    };
    isValidNpmPackageName?: {
        name: string;
        extraErrorMessage?: string;
    };
    isValidElectrodeNativeModuleName?: {
        name: string;
        extraErrorMessage?: string;
    };
    checkIfCodePushOptionsAreValid?: {
        descriptors?: (string | AppVersionDescriptor)[];
        targetBinaryVersion?: string;
        semVerDescriptor?: string;
        extraErrorMessage?: string;
    };
    isFilePath?: {
        p: fs.PathLike;
        extraErrorMessage?: string;
    };
    isDirectoryPath?: {
        p: fs.PathLike;
        extraErrorMessage?: string;
    };
    pathExist?: {
        p: fs.PathLike;
        extraErrorMessage?: string;
    };
    isValidPlatformConfig?: {
        key: string;
    };
    isSupportedMiniAppOrJsApiImplVersion?: {
        obj: string | PackagePath | (string | PackagePath)[] | void;
    };
    isContainerPath?: {
        p: string;
        extraErrorMessage?: string;
    };
    isEnvVariableDefined?: {
        name: string;
        extraErrorMessage?: string;
    };
    manifestIdExists?: {
        id: string;
        extraErrorMessage?: string;
    };
    bundleStoreUrlSetInCauldron?: {
        extraErrorMessage?: string;
    };
    bundleStoreAccessKeyIsSet?: {
        extraErrorMessage?: string;
    };
    metroServerIsNotRunning?: {
        host: string;
        port: string;
        extraErrorMessage?: string;
    };
}): Promise<void>;
