"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logNativeDependenciesConflicts = void 0;
const ern_core_1 = require("ern-core");
function logNativeDependenciesConflicts(nativeDependencies, { throwOnConflict, } = {}) {
    const conflictingDependencies = nativeDependencies.pluginsWithMismatchingVersions;
    if (conflictingDependencies.length > 0) {
        if (!throwOnConflict) {
            ern_core_1.log.warn('=============================================================================');
            ern_core_1.log.warn('The following native dependencies are using different conflicting versions : ');
            conflictingDependencies.foreach((p) => ern_core_1.log.warn(`- ${p}`));
            ern_core_1.log.warn('Ignoring due to the use of the --force flag');
            ern_core_1.log.warn('=============================================================================');
        }
        else {
            throw new Error(`Some native dependencies are using conflicting versions : ${conflictingDependencies.join(',')}`);
        }
    }
}
exports.logNativeDependenciesConflicts = logNativeDependenciesConflicts;
//# sourceMappingURL=logNativeDependenciesConflicts.js.map