"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.performPkgNameConflictCheck = void 0;
const ern_core_1 = require("ern-core");
const inquirer_1 = __importDefault(require("inquirer"));
async function performPkgNameConflictCheck(name) {
    if (await (0, ern_core_1.isPackagePublished)(name)) {
        const { continueIfPkgNameExists } = await inquirer_1.default.prompt([
            {
                default: false,
                message: `The package with name ${name} is already published in NPM registry. Do you wish to continue?`,
                name: 'continueIfPkgNameExists',
                type: 'confirm',
            },
        ]);
        return continueIfPkgNameExists;
    }
    return true; // If package name doesn't exist continue with command execution
}
exports.performPkgNameConflictCheck = performPkgNameConflictCheck;
//# sourceMappingURL=performPkgNameConflictCheck.js.map