"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.promptUserToUseSuggestedModuleName = void 0;
const ern_core_1 = require("ern-core");
const inquirer_1 = __importDefault(require("inquirer"));
async function promptUserToUseSuggestedModuleName(moduleName, moduleType) {
    const suffix = ern_core_1.utils.getModuleSuffix(moduleType);
    let suggestion = moduleName.toLowerCase();
    if (!suggestion.endsWith(suffix)) {
        suggestion = suggestion.concat('-').concat(suffix);
    }
    const { acceptSuggestion } = await inquirer_1.default.prompt([
        {
            default: true,
            message: `Module name of type ${moduleType} should be all lowercase and end in -${suffix}, Do you want to use ${suggestion}?`,
            name: 'acceptSuggestion',
            type: 'confirm',
        },
    ]);
    return acceptSuggestion ? suggestion : moduleName;
}
exports.promptUserToUseSuggestedModuleName = promptUserToUseSuggestedModuleName;
//# sourceMappingURL=promptUserToUseSuggestedModuleName.js.map